ANSEL(1)

NOMBRE
ansel - una aplicación para el flujo de trabajo fotográfico digital

SINOPSIS
    ansel [opciones] [IMG_1234.{RAW,...}|carpeta_de_imagen/]

Opciones:

    --cachedir <user cache directory>
    --conf <key>=<value>
    --configdir <user config directory>
    -d {all,cache,camctl,camsupport,control,dev,fswatch,history,imageio,input,
        ioporder,lighttable,lua,masks,memory,nan,opencl,params,perf,pipe,
        pwstorage,print,signal,sql,undo}
    --datadir <data directory>
    --disable-opencl
    -h, --help
    --library <library file>
    --localedir <locale directory>
    --luacmd <lua command>
    --moduledir <module directory>
    --noiseprofiles <noiseprofiles json file>
    -t <num openmp threads>
    --tmpdir <tmp directory>
    --version

DESCRIPCIÓN
ansel es una aplicación para el flujo de trabajo fotográfico digital para Linux, Mac OS X y para otros Unices.

La aplicación está diseñada para facilitar la edición y revelado consistente de largas sesiones fotográficas, y provee una mesa de luz fácil de utilizar, así como un juego de herramientas sofisticadas de post-procesado.

La mayoría del procesamiento es realizado en un punto flotante de 32-bit por cada modo de canal en dispositivos independientes CIE L*a*b* del espacio de color. ansel también tiene un manejo completo del color, lo cual le da un control completo sobre la apariencia de las fotos.

La aplicación se basa en una moderna arquitectura conectada, por lo que le facilita a desarrolladores externos extender las capacidades existentes de la aplicación. Todas las características de la mesa de luz y del cuarto oscuro son implementadas como módulos, por lo que puede crear sus propios módulos reutilizando código existente. La mayoría de las cosas específicas del flujo de trabajo también pueden ser programadas en Lua.

OPCIONES

IMG_1234.RAW o carpeta_de_imagen/
    Quizá quiera proveer opcionalmente el nombre de una imagen o el nombre de la carpeta que contiene los archivos de imagen. Si un nombre de archivo es dado, ansel se iniciará en el modo de vista de cuarto oscuro con dicho archivo abierto. Si una carpeta es dada, ansel se iniciará en la vista de mesa de luz con el contenido de dicha carpeta como la colección actual. Si ya existe una instancia de ansel corriendo (utilizando la misma librería) la imagen o carpeta se abrirán en este, utilizando D-Bus para la comunicación entre los dos procesos.

--cachedir <directorio de cache>
    ansel mantiene una cache de las miniaturas de las imágenes para una rápida previsualización y binarios OpenCL pre-compilados para un rápido inicio. Por defecto, la cache está ubicada en "$HOME/.cache/darktable/". Pueden existir múltiples caches de miniaturas en paralelo - una para cada archivo de la librería.

--conf <key>=<valor>
    ansel soporta un rico juego de parámetros de configuración que son definidos por el usuario en "anselrc" - el archivo de configuración de ansel en el directorio de configuración. Quizás quiera sobrescribir temporalmente algunos de los ajustes individuales de la línea de comando utilizando esta opción - sin embargo, estos ajustes no serán almacenados en "anselrc".

--configdir <directorio de configuración>
    Esta opción define el directorio donde ansel guarda las configuraciones especificas del usuario. El lugar por defecto es "$HOME/.config/darktable/".

-d <opción de depuración>
    Esta opción le permite depurar la salida del terminal. Hay varios sub-sistemas de ansel y depurar cada uno de ellos puede ser activado de forma separada. Puede utilizar esta opción múltiples veces si quiere depurar la salida de más de un sub-sistema

    Algunas de esas opciones de depuración son:

    control
        Activa la cola de trabajo del depurado. Si redirige la salida de ansel a control.log y llama a ./tools/create_control_svg.sh control.log, tendrá un bonito control.svg con la visualización del hilo de trabajo.

    cache
        Esto le proveerá bastante información depurada sobre la cache de las miniaturas para el modo de mesa de luz. Si se compila en el modo de depuración, esto también le indicará en que parte del código, cierto buffer ha sido bloqueado.

    perf
        Utilice esto para mejorar el desempeño de los módulos en su ansel. Esto hará un rdtsc-measure en las rutinas de todos los plugins y los imprimirá en stdout.

    all Enable all debugging output. In general this is not very useful.

--datadir <directorio de datos>
    This option defines the directory where ansel finds its runtime data. The default place depends on your installation. Typical places are "/opt/ansel/share/darktable/" and "/usr/share/darktable/".

--disable-opencl
    Previene que ansel inicie el sub-sistema OpenCL. Utilice esta opción en caso de que ansel falle al inicio debido a una implementación OpenCL defectuosa.

-h, --help
    Show the available command line options and exit.

--library <archivo de librería>
    ansel mantiene información sobre la imagen en una base de datos sqlite para un rápido acceso. La ubicación por defecto de esta base de datos es "$HOME/.config/darktable/library.db". Puede darle una ubicación distinta si desea, e.g. si quiere realizar algunos experimentos sin comprometer su library.db original. Si el archivo de la base de datos no existe, ansel lo creará por usted. Usted puede asignar ":memory:" como librería, en cuyo caso la base de datos se mantendrá en el sistema de memoria – todos los cambios serán descartados cuando ansel se cierre.

--localedir <directorio local>
    The place where ansel finds its language specific text strings. The default place depends on your installation. Typical places are "/opt/ansel/share/locale/" and "/usr/share/locale/".

--luacmd <comando lua>
    Una cadena que contiene los comandos lua que se ejecutarán luego de que lua sea iniciada. Estos comandos serán ejecutados luego de su archivo "luarc" .

    Si lua no está compilado, esta opción será aceptada pero no hará nada.

--moduledir <directorio de módulos>
    ansel tiene una estructura modular y organiza sus módulos como librerías compartidas para ser cargadas en la rutina de ejecución. Con esta opción, le indica a ansel donde buscar dichas librerías compartidas; el lugar por defecto depende de su instalación; los lugares típicos son "/opt/darktable/lib/darktable/" y "/usr/lib/darktable/".

--noiseprofiles <archivo json de perfil de ruido>
    ansel's profiled denoise module uses camera specific profile data that gets loaded from an external JSON file. With this option the file to be loaded can be changed to allow testing alternative profiles. The default profile file is "noiseprofiles.json" and is typically found in "/opt/ansel/share/darktable/" or "/usr/share/darktable/".

-t <num openmp threads>
    ansel uses OpenMP to parallelize many computation steps and make use of all the available CPU cores. With this option you can specify the number of threads to use. Valid values are between 1 and 100.

--tmpdir <directorio tmp>
    El lugar donde ansel almacena los archivos temporales. Si esta opción no es provista, ansel utilizará las preferencias por defecto de su sistema.

--version
    Show the ansel version along with some important build options and exit.

ATAJOS DE TECLADO POR DEFECTO
Todos los modos

l   Cambiar a la vista de mesa de luz

d   Cambiar a la vista de cuarto oscuro

t   Cambiar a la vista de captura

m   Cambiar a la vista de mapa

s   Cambiar a la vista de diapositivas

p   Cambiar a la vista de imprimir

.   Cambiar entre la vista de mesa de luz y cuarto oscuro

Ctrl-q
    Salir

F11 Cambiar entre el modo de pantalla completa y vista normal en la ventana de la aplicación

Esc Dejar el modo de pantalla completa

Ctrl-h
    Mostrar/esconder cabecera

Tab Mostrar/esconder paneles laterales

Modo de mesa de luz

g, Shift-g
    Navegar al inicio, a la última fila

PageUp, PageDown
    Navegar hacia arriba, o abajo

'   Desplazarse al centro

Down, Left, Right, Up
    Desplazarse hacia abajo, izquierda, derecha, arriba

z   Vista previa de la imagen

Ctrl-z
    Vista previa de la imagen con detección de foco

F1, F2, F3, F4, F5
    Etiquetas de color: cambiar entre rojo, amarillo, verde, azul y purpura

1, 2, 3, 4, 5
    Puntaje

0   Eliminar todas las estrellas

r   Marcar como rechazada

l   Re-alinear imágenes a la cuadricula

Alt-1
    Acercamiento a la primera imagen visible

Alt-2, 3
    Ajustar acercamiento

Alt-4
    Alejar completamente

Ctrl-a
    Seleccionar todas las imágenes

Ctrl-Shift-a
    Deseleccionar todas las imágenes

Ctrl-i
    Invertir selección

Ctrl-d
    Duplicar imagen

Ctrl-g, Ctrl-Shift-g
    Agrupar/desagrupar imágenes seleccionadas

Delete
    Eliminar imágenes de la colección

Ctrl-c, Ctrl-Shift-c
    Copiar todo, historial seleccionado

Ctrl-v, Ctrl-Shift-v
    Pegar todo, historial seleccionado

Space
    Activar/desactivar la selección de una imagen

Return
    Seleccionar una imagen

Ctrl-e
    Exportar imágenes seleccionadas actualmente

Ctrl-k
    Volver a la colección anterior

Ctrl-t
    Abrir un diálogo para etiquetar rápidamente una imagen

Ctrl-Shift-i
    Importar carpeta

Ctrl-j
    Ir al carrete de una imagen

Modo de cuarto oscuro

Alt-1, 2, 3
    Acercamiento 1:1, llenar, y ajustar, respectivamente

Ctrl-f
    Mostrar/esconder tira de imágenes

Space, Backspace
    Ir a la siguiente o anterior imagen

Ctrl-e
    Exportar imagen actual

Ctrl-c, Ctrl-Shift-c
    Copiar todo, historial seleccionado

Ctrl-v, Ctrl-Shift-v
    Pegar todo, historial seleccionado

o   Activar/desactivar la sobre- y sub-exposición

Ctrl-g
    Activar/desactivar revisión de gama

Ctrl-s
    Activar/desactivar pruebas en pantalla

Enter
    En el módulo de Cortar y Rotar, aplicar el corte

[, ]
    En el módulo de Voltear, rotar 90 grados hacia el reloj, o en contra

<, >
    Cuando se dibujan mascaras, decrementa, incrementa la opacidad de la brocha, respectivamente

{, }
    Cuando se dibujan mascaras, decrementa, incrementa la dureza de la brocha, respectivamente

[, ]
    Cuando se dibujan mascaras, decrementa, incrementa el tamaño de la brocha, respectivamente

Modo de captura

Ctrl-f
    Mostrar/esconder tira de imágenes

v   Cambiar a live view

Modo mapa

Ctrl-f
    Mostrar/esconder tira de imágenes

Ctrl-z
    Deshacer

Ctrl-r
    Rehacer

Tira de imágenes (cuando el puntero está sobre la tira de imágenes)

F1, F2, F3, F4, F5
    Etiquetas de color: cambiar entre rojo, amarillo, verde, azul y purpura

1, 2, 3, 4, 5
    Puntaje

0   Eliminar todas las estrellas

r   Marcar como rechazada

Ctrl-d
    Duplicar imagen

Ctrl-a
    Seleccionar todas las imágenes

Ctrl-Shift-a
    Deseleccionar todas las imágenes

Ctrl-i
    Invertir selección

Ctrl-c, Ctrl-Shift-c
    Copiar todo, historial seleccionado

Ctrl-v, Ctrl-Shift-v
    Pegar todo, historial seleccionado

Modo de diapositivas

Space
    Iniciar/detener la reproducción

VEA TAMBIÉN
ansel-cli(1)

MAS INFORMACIÓN
Please visit ansel's website for news, blog and bug tracker: <https://www.darktable.org/>

<https://www.darktable.org/usermanual/> The complete ansel usermanual.

anselrc.html An overview over all default config settings. The default place depends on your installation. Typical places are "/opt/ansel/share/doc/darktable/" and "/usr/share/doc/darktable/".

REPORTAR ERRORES
Please use the bug tracker on <https://github.com/ansel-org/darktable/issues> to report bugs, feature requests and so on.

AUTORES
El desarrollador principal de ansel es Johannes Hanika. La lista completa (esperamos) de colaboradores del proyecto es:

* developers: Pascal Obry johannes hanika Aurélien PIERRE Tobias Ellinghaus Roman Lebedev Henrik Andersson Ulrich Pegelow Aldric Renaudin Pascal de Bruijn Pedro Côrte-Real Jérémy Rosen parafin José Carlos García Sogo Edouard Gomez Stefan Schöfegger Simon Spannagel Peter Budai Alexandre Prokoudine Christian Tellefsen James C. McPherson * translators: Pascal Obry Ger Siemerink Jeronimo Pellegrini Michel Leblond EdgarLux Tobias Ellinghaus Richard Levitte johannes hanika Martin Straeten Henrik Andersson Timur Davletshin bartokk Alexandre Prokoudine tatica Olivier Tribout Simon Spannagel Victor Forsiuk Heiko Bauke Josep V. Moragues Thomas Pryds Matjaž Jeran Nicolas Auffray shlomi braitbart José Carlos Casimiro Matt Maguire Maurizio Paglia Aurélien PIERRE Jakub Filipowicz José Carlos García Sogo Ryo Shinozaki Ulrich Pegelow mepi0011 Báthory Péter Guillaume Marty Jérémy Rosen Milan Knížek Victor Lamoine Alynx Zhou Guilherme Brondani Torri Novy Sawai Kevin Vermassen Marcus Gama Pascal de Bruijn Serkan ÖNDER Dimitrios Psychogios Matteo Mardegan Tomasz Golinski vertama Dušan Kazik thisnamewasnottaken 篠崎亮　Ryo Shinozaki Artur de Sousa Rocha Cherrot Luo Mikko Ruohola Petr Stasiak Stephan Hoek Germano Massullo Philippe Weyland Anocha Yimsiriwattana Marko Vertainen Miloš Komarčević Nazarii Vitak Arch Ont Bernhard Federico Bruni Luca Zulberti Miroslav Fikar Nameless-J Song Li chrisaga lkarcz maruncz Besmir Godole Jacques Le Clerc Ragnar Wisloff Shlomi Alon-Braitbart Tianhao Chai bajdero darktable miroslavfikar mmardegan Alberto Caso Alejandro Criado-Pérez Antony Dovgal Bogusław Ciastek Cyril Richard DWXXX Daniele Giorgis Danilo Bargen Denis Dyakov Denny Biasiolli Diederik ter Rahe Edgar De la Luz František Šidák Gustav Ernberg Hanno Schwalm Jan Friedrich Jean-Luc Coulon (f5ibh) Julian J. M Laurent Guillier Magnus Claesson Marek Vančo MatteoVita Matthieu Moy Mattias Eriksson Michael Moese Michał Prędotka Mik- Pedro Côrte-Real PeterWem Ragnar Wisløff Robert Bieber Simon Raffeiner Tomasz Goliński Wiktor Nowak archont00 asmolero chri cotacot criadoperez igmerti jakubfi mrleemon parafin quovadit sbraitbart zerng07 Łukasz Karcz * contributors (at least 4 commits): Ralf Brown Dan Torop Diederik ter Rahe Philippe Weyland Hanno Schwalm Ger Siemerink Hubert Kowalski Michel Leblond Chris.Elston Jeronimo Pellegrini rawfiner Robert Bieber Nicolas Auffray Andreas Schneider EdgarLux Richard Levitte Heiko Bauke edgardoh Miloš Komarčević Victor Forsiuk Bill Ferguson Alynx Zhou Jean-Sébastien Pédron Martin Straeten Olivier Tribout Mark-64 Bruce Guenter Sakari Kapanen Timur Davletshin bartokk tatica Matthieu Moy Matthieu Volat Rostyslav Pidgornyi Chris Elston Josep V. Moragues Moritz Lipp Thomas Pryds Dennis Gnad Marco Carrarini José Carlos Casimiro Maurizio Paglia Matt Maguire Jakub Filipowicz Daniel Vogelbacher Guillaume Stutin GrahamByrnes David-Tillmann Schaefer Harold le Clément de Saint-Marcq Marco marcel wpferguson HansBull Kaminsky Andrey Matjaž Jeran shlomi braitbart Guilherme Brondani Torri Michal Babej mepi0011 Richard Wonka lhietal quovadit Antony Dovgal Jacques Le Clerc Milan Knížek Sam Smith Ryo Shinozaki Victor Lamoine Jiyone Novy Sawai Rikard Öxler Wolfgang Goetz darkelectron Báthory Péter Guillaume Marty Alexis Mousset Dimitrios Psychogios U-DESKTOP-HQME86Jmarco Vasyl Tretiakov Vincent THOMAS Brian Teague Frédéric Grollier lologor luzpaz Kevin Vermassen Marcus Gama Philipp Lutz Robert Bridge Andrew Toskin Germano Massullo Eckhart Pedersen Felipe Contreras Mikko Ruohola Asma Bernd Steinhauser JohnnyRun Kanstantsin Shautsou Martin Burri Serkan ÖNDER Tomasz Golinski Victor Engmark Wyatt Olson junkyardsparkle thisnamewasnottaken Arnaud TANGUY Benoit Brummer Fabio Heer Loic Guibert Paolo DePetrillo Žilvinas Žaltiena Dušan Kazik Jan Kundrát Jochen Schroeder Matteo Mardegan Petr Styblo Robert William Hutton Roman Khatko Stuart Henderson itinerarium luz paz vertama vrnhgd Ammon Riley Chris Hodapp David Bremner Gaspard Jankowiak Ivan Tarozzi Jim Robinson Marcello Mamino Marcus Rückert Richard Hughes calca elstoc 篠崎亮　Ryo Shinozaki Artur de Sousa Rocha Cherrot Luo Christian Himpel Denis Dyakov Dominik Markiewicz Guillaume Benny Harald Jesper Pedersen K. Adam Christensen Maximilian Trescher Petr Stasiak Pierre Lamot Sergey Pavlov Stephan Hoek Wolfgang Mader grand-piano piratenpanda solarer Alexander V. Smal Andrea Volpato August Schwerdfeger JP Verrue Johanes Schneider Karl Mikaelsson Luca Zulberti Matthias Gehre Matthias Vogelgesang Simon Legner Tianhao Chai Torsten Bronger matt-maguire Alban Gruin Alexander Clausen Anocha Yimsiriwattana Apfelkraut Bernhard Erik Gustavsson Federico Bruni Frank Loemker Jake Probst Joao Trindade Mario Lueder Marko Vertainen Nazarii Vitak Paolo Benvenuto Raphael Manfredi Ricky Moon Ronny Kahl Stéphane Gourichon Togan Muftuoglu Tom Vijlbrief Will Bennett hal maruncz sjjh * Sub-module rawspeed contributors (at least 1 commit): Roman Lebedev Klaus Post Pedro Côrte-Real Miloš Komarčević Axel Waggershauser Stefan Schöfegger Pascal de Bruijn Jordan Neumeyer Anders Brander Robert Bridge Stefan Löffler Pascal Obry Stefan Hoffmeister parafin Dan Torop Georg Lukas Thomas Baumann Daniel Vogelbacher Hanno Schwalm Matthieu Volat Philipp Lutz Tobias Ellinghaus Victor Forsiuk luz.paz Hubert Kowalski Louie Lu Virgile Bello bobobo1618 johannes hanika Bill Ferguson Howard Liberty Marko Toplak Martijn Courteaux Matt Maguire Nathaniel Watson Robert Bieber Yattaro al luz paz maruncz -cr Alex Tutubalin Andreas Schneider Artemis Tosini Bastian Bechtold Benjamin Erb David Korczynski David-Tillmann Schaefer Elizeu Santos Frank Loemker Georg Niedrist Jan Šmucr Jorge Nerín Josef Raschen Julien Nabet LibRaw LLC Marcel Bollmann Marco Caimi Marco Ristuccia Martin Straeten Massimo Paladin Matthias Gehre Michael Allman Michal Čihař Milos Komarcevic Omari Stephens Peter Budai PeterWem Philipp Normann Ryan Gillette Shita Yuuma Simon Raffeiner Sprite Tino H. Seifert Uwe Müssel Vasily Khoruzhick Zanhard aferrero2707 chrunchyjesus dllu frantic1048 helloqiu jas01 junkyardsparkle ponkotuy squid-f ubergeek801 Šarūnas Burdulis * Sub-module OpenCL contributors (at least 1 commit): Ben Ashbaugh James Price Kévin Petit Lee Howes Jakub Szuppe bashbaug Bartosz Sochacki Rob Elliott = Kevin Petit affie Richard Ruigrok Jeremy Kemp Kedar Patil neheb patilkedar Alexei Bourd Nagy-Egri Máté Ferenc Rosen Penev robquill takanokage Ewan Crawford John Plate Jon Leech Martin Kelly Umair Ahmed abestephens Alastair Murray Alex Bourd Brice Videau Einar Hov Khronos Group Webmaster Mikhail Lychkov Milkey Mouse Nuno Fachada Pierre Moreau Sreelakshmi Haridas Timmy Liu XZiar fodinabor oddhack pkubaj y-novikov * Sub-module libxcf contributors (at least 1 commit): Tobias Ellinghaus * Sub-module whereami contributors (at least 1 commit): Gregory Pakosz Jan Beich Ian Burgan Jean-Michaël Celerier Sergey Agievich Thomas Willems * Sub-module LibRaw contributors (at least 1 commit): Alex Tutubalin Iliah Borg lexa LibRaw LLC Alex Tutubalin, LibRaw LLC Jamie Pinheiro jabbervorx Joan Karadimov Miloš Komarčević Tim Harder Dirk Lemstra Gilles Caulier Luca Falavigna Mark Reid maslbl4 Aleks L Andreas K. Huettel (dilfridge) Daniel Kaneider Mario Emmenlauer Nuno Cruces Philip Ries Vincent Torri corec 龙俊良 Alex Alex Gaynor Alex Tutubalin @Mac Arkady Shapkin Artur Bernd Kuhls Daniel Martinez Daniel Rosser Dave Stevenson David C. Partridge Fabien Castan Fabrice Fontaine Haishan Zhong Heiko Becker John Hein Kevin Wojniak Pablo Sichert Paolo Barbolini Petr Minář Pino Toscano Přemysl Eric Janouch Rafael Sadowski Sam James Sam Whited TOMIKAWA Sotaro Thomas Petazzoni Tomi Aarnio Tracy Wadleigh Z. Liu iliah kapankov kmilos luz paz psykose robert hasson sashashura ssssota vladimirovich * Sub-module doxygen-awesome-css contributors (at least 1 commit): jothepro Johannes Krafft Markus Napp Andrea Pappacoda Andy Maloney Ayush Chamoli Bernd Riederer David Álvarez Rosa Eritque arcus Leger Charlie Liviu Ionescu Michael R. Crusoe Murillo Teixeira OkawaYusuke Thibaud Chupin Timo Koch Volker Enderlein William Roy patricklaf And all those of you that made previous releases possible

Este manual de referencias fue escrito por Alexandre Prokoudine <alexandre.prokoudine@gmail.com> y Richard Levitte <richard@levittr.org>. Adiciones fueron hechas por Tobias Ellinghaus <me@houz.org>.

HISTORIA
El proyecto fue iniciado por Johannes Hanika a principios de 2009 para llenar el hueco (o mejor dicho, el hoyo negro) que existía en el flujo de trabajo de la fotografía digital en Linux.

DERECHOS Y LICENCIA
Copyright (C) 2009-2017 por Authors.

ansel es software libre, usted puede redistribuirlo y/o modificarlo bajo los términos de la GPL v3 o (bajo su criterio) versiones anteriores.